Issue #14656 has been updated by nobu (Nobuyoshi Nakada).


"Development tools" sound like compiler toolchain or similar, as mkmf.rb raises `RuntimeError` with the message:

```
The compiler failed to generate an executable file. 
You have to install development tools first.
```


----------------------------------------
Feature #14656: Improve mkmf error message when ruby.h is missing
https://bugs.ruby-lang.org/issues/14656#change-71365

* Author: peyremorgan (Morgan Peyre)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
----------------------------------------
Without the development tools, trying to install most gems results in the following error :

~~~
mkmf.rb can't find header files for ruby at #{$hdrdir}/ruby.h
~~~

Copy-pasting the error into a search engine yields numerous versions of the same solution : installing the ruby development environment (package `ruby-dev` or `ruby-devel` on most Linux distributions) solves the issue.

Maybe the error message could hint at this solution? I found the following line further down in the same file that could be added after the current error message :

~~~
You have to install development tools first.
~~~



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>